/*
   model/quad.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/quad.h"

namespace model
{

Quad::Quad(const math::Vector3f &v0, const  math::Vector3f &v1, const math::Vector3f &v2, const math::Vector3f &v3, const math::Vector3f &normal, const bool detail) :
		quad_v0(v0),
		quad_n0(normal),
		quad_v1(v1),
		quad_n1(normal),
		quad_v2(v2),
		quad_n2(normal),
		quad_v3(v3),
		quad_n3(normal)
{
	quad_detail = detail;
}

Quad::~Quad()
{}

}
